Subject: Re: spaces in title of mintty command
From: Andy Koppe <[email-masked]>
To: [email-masked]
Date: Tue, 30 Mar 2010 19:54:10 +0100
List-Id: <cygwin.cygwin.com>

Roe, Kevin L.:
> I have been trying to get the title for mintty to work.
>
> Specifically, I want a title with spaces.
>
> I have tried:
>
> mintty -t one two      result:  obviously didn't work.  It bombed.

Because 'one' is takes as the title, and 'two' as a command to execute.

> mintty -t "one two"    result:  no title
> mintty -t 'one two'    result:  no title

Works fine for me. Please note that bash's default prompt (i.e. the
PS1 variable) sets the terminal title to the current working
directory, thus overwriting anything you set with the -t option.

> mintty -t `one two`    result:  Same as no quotes

Because that tries to run 'one' as a command.

Andy

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple